<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Utility class implementation.
 *
 * File         util.php
 * Encoding     UTF-8
 * @copyright   Sebsoft.nl
 * @author      R.J. van Dongen <rogier@sebsoft.nl>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace block_selectrss;

defined('MOODLE_INTERNAL') || die;

/**
 * block_selectrss\util
 *
 * @package     block_selectrss
 *
 * @copyright   Sebsoft.nl
 * @author      Mike Uding <mike@sebsoft.nl>
 * @author      R.J. van Dongen <rogier@sebsoft.nl>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 *
 */
class util {

    /**
     * Clean feeds.
     */
    public static function clean_feeds() {
    }

    /**
     * synchronizes feeds
     */
    public static function synchronize_feeds() {
    }

    /**
     * Removes all feed items, given a block id.
     *
     * @param int $blockid blockid or 0 to remove all.
     * @return void
     */
    public static function remove_feeds($blockid = 0) {
    }

    /**
     * Add a feed item to a block.
     *
     * @param \SimplePie_Item $item simple pie item
     * @param int $publish 0 means not published, 1 means published
     * @param int $blockid block instance id
     * @return void
     */
    public static function add_feed_item($item, $publish, $blockid) {
    }

    /**
     * Format a self-removing message
     *
     * @param string $message
     */
    public static function format_message($message) {
    }

}